Bug 64678 - openoffice 1.1 upgrade fails due to JDK configuration
Summary: openoffice 1.1 upgrade fails due to JDK configuration
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-24 23:20 UTC by Joe Kelsey
Modified: 2005-06-19 04:54 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joe Kelsey 2004-03-24 23:20:08 UTC
	Attempting to upgrade openoffice 1.1 fails due to JDK
	configuration.

How-To-Repeat: 
The Makefile finds jdk-1.4.2, but the openoffice configuration script
cannot find it.

--->  Upgrading 'openoffice-1.1.0_3' to 'openoffice-1.1.1.RC1' (editors/openoffice-1.1)
--->  Building '/usr/ports/editors/openoffice-1.1'
===>  Cleaning for atk-1.4.1_2
===>  Cleaning for rpm-3.0.6_9
===>  Cleaning for unzip-5.50_2
===>  Cleaning for zip-2.3_1
===>  Cleaning for libiconv-1.9.1_3
===>  Cleaning for ORBit-0.5.17_2
===>  Cleaning for apache-ant-1.6.1
===>  Cleaning for autoconf-2.53_1
===>  Cleaning for autoconf-2.13.000227_5
===>  Cleaning for automake-1.4.5_9
===>  Cleaning for bison-1.75_2
===>  Cleaning for gettext-0.13.1_1
===>  Cleaning for glib-1.2.10_10
===>  Cleaning for glib-2.2.3_1
===>  Cleaning for gmake-3.80_2
===>  Cleaning for imake-4.3.0_2
===>  Cleaning for libtool-1.3.5_2
===>  Cleaning for m4-1.4_1
===>  Cleaning for nspr-4.4.1_1
===>  Cleaning for p5-gettext-1.01_4
===>  Cleaning for pkgconfig-0.15.0_1
===>  Cleaning for popt-1.6.4_2
===>  Cleaning for linux_base-7.1_7
===>  Cleaning for jpeg-6b_2
===>  Cleaning for lcms-1.09_1,1
===>  Cleaning for libmng-1.0.6
===>  Cleaning for png-1.2.5_3
===>  Cleaning for tiff-3.6.1_1
===>  Cleaning for javavmwrapper-1.4
===>  Cleaning for jdk-1.4.2p6_4
===>  Cleaning for linux-sun-jdk-1.4.2.04
===>  Cleaning for gcc-3.2.3_1
===>  Cleaning for help2man-1.33.1
===>  Cleaning for freetype2-2.1.7_2
===>  Cleaning for coreutils-5.2.1
===>  Cleaning for expat-1.95.7
===>  Cleaning for XFree86-fontEncodings-4.3.0
===>  Cleaning for XFree86-fontScalable-4.3.0
===>  Cleaning for fontconfig-2.2.2,1
===>  Cleaning for libXft-2.1.6
===>  Cleaning for urwfonts-1.0
===>  Cleaning for gtk-1.2.10_11
===>  Cleaning for gtk-2.2.4_2
===>  Cleaning for open-motif-2.2.2_2
===>  Cleaning for pango-1.2.5_2
===>  Cleaning for XFree86-clients-4.3.0_7
===>  Cleaning for XFree86-libraries-4.3.0_6
===>  Cleaning for openoffice-1.1.1.RC1
===>  Vulnerability check disabled

REQUIREMENTS:

OO requires that the ENV variable LANG
is set to a proper value. Dependent on
which language port you use, OO does
automatically set LANG to a suitable
value. You can change this with:

USE_LANG="preferred language"

and set a different language
like:

en_US.ISO8859-15 en_US.ISO8859-1
US-ASCII 

Your current setting is:

USE_LANG=en_US.ISO8859-15


OPTIONS:

You can compile OO with debug symbols
if you call make with WITH_DEBUG=1

If you set WITH_DEBUG=2, you add internal
OO.org debug support.


You may set WITH_TTF_BYTECODE_ENABLED=YES
if you like to use the Freetype library to
render TTF fonts. Normally the TTF lib is
not used to render fonts.

If you have licensed the Apple patents
US05155805 US05159668 and US05325479
you can enable this option to get better
quality of glyphs at small bitmap sizes.


You may set WITH_GIF_LZW_COMPRESSION=YES
If you want to make compressed gif images

If must have license from the Unisys and IBM patents
to enable this option to get compressed GIF images.
According to http://www.unisys.com/about__unisys/lzw
Patent expires:
June 20, 2003 : U.S.
June 18, 2004 : U.K., France, Germany and Italy
June 20, 2004 : Japan
July  7, 2004 : Canada


NOTICE:

To build Openoffice, you should have a lot
of free diskspace (~ 4GB).


===>  Extracting for openoffice-1.1.1.RC1
Comment 1 Adam Weinberger freebsd_committer 2004-03-24 23:29:51 UTC
It's not much of a fix, but it is true that the port will build if you
add /usr/local/jdk1.4.2/bin (or whatever the exact path is; I don't have
a FreeBSD box handy) to $PATH.

# Adam


--
Adam Weinberger
adamw@magnesium.net || adamw@FreeBSD.org
adamw@vectors.cx    ||   adamw@gnome.org
http://www.vectors.cx
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2004-03-25 01:42:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer(s).
Comment 3 Maho Nakata freebsd_committer 2005-06-19 04:53:49 UTC
State Changed
From-To: open->closed

It seems that currently no such problem here.